/*
 * Copyright 2005 Berend "Kirk" Wouda
 * 
 * This file is part of WDYS'd V.
 * 
 * WDYS'd V is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * WDYS'd V is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with WDYS'd V; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


// Where to put it... :P
package com.kirkwarez.wdysdv.system;

/**
 * This is a general <code>Exception</code> that can be thrown during the running of
 * WDYS'd V. 
 * 
 * @author Berend "Kirk" Wouda
 * @version 5.00
 * @since 5.00
 */
public class WVException extends Exception {
	/**
	 * Creates a new <code>WVException</code> with the given error message.
	 * 
	 * @param message The error message.
	 */
	public WVException(String message) {
		// Superduper it.
		super(message);
	}
	
	/**
	 * Creates a new <code>WVException</code>.
	 */
	public WVException() {
		// Superduper it.
		super();
	}	
}